> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatordb.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the topic table

> Get the table of YouTube topic IDs. The topic IDs are defined by CreatorDB.



## OpenAPI

````yaml /api-v2/api-v2.yaml get /topicTable
openapi: 3.1.0
info:
  version: '2'
  title: CreatorDB Headless APIService
  description: >-
    Generated from swaggerComponentIndex.json by core-types-json-schema
    (https://github.com/grantila/core-types-json-schema). Use OpenAPI 3.1.0
    version with direct JSON Schema support
  termsOfService: https://www.creatordb.app
  contact:
    name: CreatorDB
    url: https://www.creatordb.app
    email: support@creatordb.app
  license:
    url: http://www.apache.org/licenses/LICENSE-2.0.html
    name: Apache 2.0
  x-id: indexForSwagger.yaml
servers:
  - url: https://dev.creatordb.app/v2
    description: CreatorDB API Endpoint - prod version
security: []
tags:
  - name: General Operations
    description: >-
      General-purpose endpoints such as API status, content retrieval, and
      cross-platform operations
  - name: YouTube
    description: >-
      YouTube creator data endpoints including basic metrics, historical data,
      and detailed analytics
  - name: Instagram
    description: >-
      Instagram creator data endpoints with metrics and advanced search
      capabilities
  - name: TikTok
    description: >-
      TikTok creator data endpoints with metrics and advanced search
      functionality
  - name: Threads
    description: Threads creator data endpoints with basic metrics and historical data
  - name: Facebook
    description: Facebook creator data endpoints with metrics and search capabilities
  - name: Topic
    description: Topic-based analysis and reporting endpoints for content categorization
  - name: Brand
    description: Brand analysis endpoints including sponsor search and brand reports
  - name: Niches
    description: Niche-related endpoints for content category analysis and related searches
paths:
  /topicTable:
    get:
      tags:
        - Topic
      summary: Get the topic table
      description: >-
        Get the table of YouTube topic IDs. The topic IDs are defined by
        CreatorDB.
      operationId: getTopicTable
      parameters:
        - name: apiId
          in: header
          description: ''
          required: true
          schema:
            type: string
            examples:
              - LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W
        - name: platform
          in: query
          description: >-
            platform support `youtube`, `instagram` for now. Default is
            `youtube` if omitted.
          required: false
          schema:
            type: string
            examples:
              - youtube
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/TopicNicheTable'
                  quotaUsed:
                    type: number
                    description: API credits that were used to make this call.
                  quotaUsedTotal:
                    type: number
                    description: Total API credits used since the last billing cycle.
                  remainingPlanCredit:
                    type: number
                    description: >-
                      The number of remaining free API credits that come with
                      your subscription plan. These API credits are renewed
                      every billing cycle.
                  remainingPrepurchasedCredit:
                    type: number
                    description: >-
                      The number of remaining extra purchased API credits. These
                      API credits do not expire until used.
                  timestamp:
                    type: number
                    description: >-
                      Unix timestamp of the call request that the server
                      received.
                  error:
                    type: string
                    description: Errors that occurred during the API call.
                  success:
                    type: boolean
                    description: It is TRUE when the call is successful.
              examples:
                default:
                  value:
                    data:
                      platform: youtube
                      topics:
                        id_academic_Education:
                          name: Academic
                          category: Education
                          channelCount: 97
                        id_academichistory_Education:
                          name: Academic History
                          category: Education
                          channelCount: 92
                        id_culturaleducation_Education:
                          name: Cultural Education
                          category: Education
                          channelCount: 111
                      niches:
                        id_vlog_PeopleBlogs:
                          name: Vlog
                          category: People Blogs
                          channelCount: 13004
                        id_shorts_PeopleBlogs:
                          name: Shorts
                          category: People Blogs
                          channelCount: 7709
                        id_love_PeopleBlogs:
                          name: Love
                          category: People Blogs
                          channelCount: 4153
                    quotaUsed: 1
                    quotaUsedTotal: 6025
                    remainingPlanCredit: 993975
                    remainingPrepurchasedCredit: 0
                    timestamp: 1755503515843
                    error: ''
                    success: true
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/TopicNicheTable'
                  quotaUsed:
                    type: number
                    description: API credits that were used to make this call.
                  quotaUsedTotal:
                    type: number
                    description: Total API credits used since the last billing cycle.
                  remainingPlanCredit:
                    type: number
                    description: >-
                      The number of remaining free API credits that come with
                      your subscription plan. These API credits are renewed
                      every billing cycle.
                  remainingPrepurchasedCredit:
                    type: number
                    description: >-
                      The number of remaining extra purchased API credits. These
                      API credits do not expire until used.
                  timestamp:
                    type: number
                    description: >-
                      Unix timestamp of the call request that the server
                      received.
                  error:
                    type: string
                    description: Errors that occurred during the API call.
                  success:
                    type: boolean
                    description: It is TRUE when the call is successful.
              examples:
                default:
                  value:
                    data: null
                    quotaUsed: 0
                    quotaUsedTotal: 0
                    remainingPlanCredit: 0
                    remainingPrepurchasedCredit: 0
                    timestamp: 1755503514065
                    error: PlatformNotSupport
                    success: false
      servers:
        - url: https://dev.creatordb.app/v2
          description: CreatorDB API Endpoint - prod version
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |
            curl --request GET \
              --url https://dev.creatordb.app/v2/topicTable \
              --header 'Accept: application/json' \
              --header 'apiId: LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W'      
components:
  schemas:
    TopicNicheTable:
      type: object
      additionalProperties: false
      properties:
        platform:
          $ref: '#/components/schemas/Platform'
          description: >-
            The social media platform of the topic and niche table, such as
            YouTube or Instagram.
        topics:
          type: object
          additionalProperties:
            type: object
            additionalProperties: false
            properties:
              name:
                type: string
              category:
                type: string
              channelCount:
                type: number
            required:
              - name
              - category
              - channelCount
        niches:
          type: object
          additionalProperties:
            type: object
            additionalProperties: false
            properties:
              name:
                type: string
              category:
                type: string
              channelCount:
                type: number
            required:
              - name
              - category
              - channelCount
      required:
        - platform
        - topics
        - niches
    Platform:
      type: string
      enum:
        - youtube
        - instagram
        - tiktok

````